$(function() {
    document.title = Lang[DefaultLanguage]['index']['table of content'];
    initPage('index');
    let submissionsFormed = {};
    for (const id in Submissions) {
        let subjectId = Submissions[id].subject;
        if (!submissionsFormed[subjectId]) {
            submissionsFormed[subjectId] = {};
            if (typeof Subjects[subjectId] == "undefined") {
                submissionsFormed[subjectId].name = "No Subject";
            } else {
                submissionsFormed[subjectId].name = Subjects[subjectId].name;
            }
            submissionsFormed[subjectId].submissions = [];
        }
        let authors = [];
        Submissions[id].authors.forEach(function(authorId) {
            if (Authors[authorId].is_correspondence_author == 'Y') {
                authors.unshift(Authors[authorId].name);
            } else {
                authors.push(Authors[authorId].name);
            }
        });
        let submission = {
            id: id,
            title: Submissions[id].title,
            authors: authors,
        };
        TOCInfo.exportFileTypes.forEach(function(type) {
            submission[type + "_file"] = Submissions[id][type + "_file"];
        });
        submissionsFormed[subjectId].submissions.push(submission);
    }
    for (const subjectId in submissionsFormed) {
        let html = "";
        html += '<thead><tr><th class="subject" colspan="4">' + submissionsFormed[subjectId].name + '</th></tr><tr><th class="text-center">ID</th><th>' + Lang[DefaultLanguage]['index']['Title'] + '</th><th>' + Lang[DefaultLanguage]['index']['Authors'] + '</th><th>' + Lang[DefaultLanguage]['index']['Files'] + '</th></tr></thead><tbody>';
        submissionsFormed[subjectId].submissions.forEach(function(submission) {
            let hasFile = false;
            let file_link = '';
            TOCInfo.exportFileTypes.forEach(function(type) {
                if (submission[type + "_file"].path != "") {
                    hasFile = true;
                    file_link += '<a href="' + submission[type + "_file"].path + '", target="_blank">' + Lang[DefaultLanguage]['index'][type] + '</a> ';
                }
            });
            html += '<tr><td width="10%" class="text-center">' + submission.id + '</td><td width="45%">';
            if (hasFile) {
                html += '<a href="javascript:">'+ submission.title + '</a>';
            } else {
                html += submission.title;
            }
            html += '</td><td width="25%">' + submission.authors.join(",") + '</td><td width="20%">' + file_link + '</td></tr>';
        });
        html += '</tbody>';
        $(".table-of-content").append(html);
    }
});